Subscribe
curl --request POST \
--url https://api.member.dev/api/v1/hubs/{hub_id}/web-push/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"device": "<string>",
"subscription": {
"endpoint": "<string>",
"keys": {
"auth": "<string>",
"p256dh": "<string>"
}
}
}
'import requests
url = "https://api.member.dev/api/v1/hubs/{hub_id}/web-push/subscriptions"
payload = {
"device": "<string>",
"subscription": {
"endpoint": "<string>",
"keys": {
"auth": "<string>",
"p256dh": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
device: '<string>',
subscription: {endpoint: '<string>', keys: {auth: '<string>', p256dh: '<string>'}}
})
};
fetch('https://api.member.dev/api/v1/hubs/{hub_id}/web-push/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}web-push
Subscribe
POST
/
api
/
v1
/
hubs
/
{hub_id}
/
web-push
/
subscriptions
Subscribe
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
⌘I